Subject: bug#32212: 26; `subword-mode' doc string shows empty key-binding list

From: Drew Adams <[email-masked]>
Date: Sun, 22 Jul 2018 21:19:55 -0700 (PDT)

> >> Would it be better if the \\{some-keymap} substitution handled the
> >> case where there were no bindings, and printed nothing?
> >
> > No.  A doc string can introduce the list of bindings any
> > way its author wants.  We cannot predict what text might
> > precede or follow the text \\{some-keymap}.
> 
> Ah, yes, agreed -- a search shows quite a variety of such introductory
> phrases:...
> 
> I think there's a lot of unnecessary inconsistency here which would
> probably benefit from a common phrasing.  That could feasibly be
> provided via an alternative variant of the \\{...} syntax (at which
> point it could make more sense to include some automated variations
> for edge cases), but that all sounds like more trouble than it's
> worth, so I'm not really suggesting that this should be done (even
> if it strikes me as a "nice to have").

Agreed on all counts.  Except that before thinking about
variants of \\{...} (YAGNI), I'd say that if you think
such inconsistency is really a problem then the best fix
is to suggest a convention to users in the manual.

(But I don't think such inconsistency is a problem.)